import { LcovFile } from "lcov-parse";
import { BasicSourceMapConsumer } from "source-map";
declare type SourcemapResolve = (path: string) => string;
export declare function getLcov(lcov: string, sourcemaps: SourcemapResolve, sourceDir: string): Promise<string>;
export declare function writeLcov(lcov: string, sourcemaps: SourcemapResolve, sourceDir: string, outputFile: string): Promise<void>;
export declare function getData(lcovpath: string, sourcemaps: SourcemapResolve): Promise<{
    lcov: LcovMap;
    sourcemap: SourcemapMap;
}>;
declare type SourcemapFile = {
    path: string;
    consumer: BasicSourceMapConsumer;
};
declare type SourcemapMap = {
    [key: string]: SourcemapFile;
};
declare type LcovMap = {
    [path: string]: LcovFile;
};
export declare function getLcovData(lcov: string): Promise<LcovMap>;
export {};
